Subject: Re: linux-next: next-20090609 hangs in early user mode

From: Al Viro <[email-masked]>
Date: Wed, 10 Jun 2009 14:00:54 +0100

On Wed, Jun 10, 2009 at 06:00:58PM +1000, Stephen Rothwell wrote:

> d4fdcb2068eef29c03d6027aa219fa60171c6b87 is first bad commit
> commit d4fdcb2068eef29c03d6027aa219fa60171c6b87
> Author: Theodore Ts'o <[email-masked]>
> Date:   Thu May 21 16:00:59 2009 -0400
> 
>     fs: i_flags and i_state in struct inode only need to be unsigned short
>     
>     Currently i_flags and i_state do not need to be an unsigned int and an
>     unsigned long, respectively.  (We currently use 9 i_flags bits, and 8
>     i_state bits.)  Changing them to be an unsigned short saves 4 bytes
>     per inode on an x86 platform, and 8 bytes on an x86_64 platform.
>     
>     Signed-off-by: "Theodore Ts'o" <[email-masked]>
>     Cc: [email-masked]
>     Signed-off-by: Al Viro <[email-masked]>

*gyah*

Yes, it's obviously bogus.  Dropped from the tree; I don't think it's
really salvagable - even merging into one unsigned long will not be
enough, since we will end up with different locking for different bits.